```json
{
  "title": "Generators",
  "icon": "oritech:basic_generator_block",
  "category": "oritech:processing",
  "associated_items": [
    "oritech:basic_generator_block",
    "oritech:bio_generator_block",
    "oritech:lava_generator_block",
    "oritech:fuel_generator_block",
    "oritech:big_solar_panel_block"
  ],
  "ordinal": 3
}
```

Generators are used to generate the energy ({gold}RF{}) used by all of the other machines and tools in Oritech.

;;;;;

![basic_generator](oritech:textures/book/basic_generator.png,fit)

The Basic Generator burns fuel (just like a furnace) and generates {gold}32 RF/t{}.

;;;;;

![lava_generator](oritech:textures/book/lava_generator.png,fit)

The Lava Generator burns lava inserted with a [fluid pipe](^oritech:logistics/fluid_transport). It has 2 [addon slots](^oritech:processing/addons), and generates {gold}64 RF/t{}.

;;;;;

![bio_generator](oritech:textures/book/bio_generator.png,fit)

The Bio Generator burns biomass. It has 2 [addon slots](^oritech:processing/addons), and generates {gold}64 RF/t{}.

;;;;;

![large_solar_panel](oritech:textures/book/large_solar_panel.png,fit)

The Large Solar Panel can generate between {gold}32 RF/t{} and {gold}224 RF/t{}, depending on the [machine cores](^oritech:processing/multiblocks) used.

;;;;;

![fuel_generator](oritech:textures/book/fuel_generator.png,fit)

The Fuel Generator burns [crude oil](^oritech:resources/crude_oil) or turbofuel. It has 2 [addon slots](^oritech:processing/addons), and generates {gold}256 RF/t{}.

;;;;;

For advanced energy generation, read [Steam Engine](^oritech:processing/steam_engine).